¿Qué versión de Eclipse debería usar para una aplicación de Android?

Estoy empezando a desarrollar aplicaciones para Android. ¿Qué versión de Eclipse debería usar?

Veo que hay 11 versiones. Estoy confundido con estos:

  1. Eclipse IDE para desarrolladores Java
  2. Eclipse Classic 3.6.1
  3. Eclipse IDE para desarrolladores de Java EE
  4. Pulsar para desarrolladores móviles

14 Solutions collect form web for “¿Qué versión de Eclipse debería usar para una aplicación de Android?”

Actualización Julio 2017:

Desde la página del complemento de ADT , la pregunta debe ser no solicitada:

El complemento de Eclipse ADT ya no es compatible, según este anuncio en junio de 2015 .

El complemento ADT de Eclipse tiene muchos errores conocidos y posibles errores de seguridad que no se solucionarán.

Debe cambiar inmediatamente para utilizar Android Studio , el IDE oficial para Android. Para obtener ayuda para la transición de sus proyectos, consulte Migrar a Android Studio.

La solución más sencilla es descargar el paquete Android SDK:

http://developer.android.com/sdk/installing/bundle.html

ADT Bundle ofrece todo lo necesario para comenzar a desarrollar aplicaciones, incluida una versión del Eclipse IDE con ADT incorporado (Android Developer Tools) para optimizar el desarrollo de aplicaciones para Android.

Lo hice literalmente hace 1 hora.

  1. SDK R7
  2. Obtener Java – si no tienes (es el primer enlace de imagen JDK)
  3. Obtenga Eclipse : es el primero en la lista con más descargas
  4. Plugin de Android

Descargue los archivos adecuados para su sistema operativo. El SDK de Android necesita java para poder instalarlo. Una vez que obtenga el SDK de Android instalado, vaya a eclipse e instálelo. Básicamente, descargar el archivo y descomprimirlo en un directorio. La instalación de Android es la misma, pero se instalarán muchos más archivos. (5) Por último abra eclipse e ir a ayudar> instalar nuevo software >> y añadir la url al complemento – He utilizado este https://dl-ssl.google.com/android/eclipse/

Lanzado en junio de 2012, Eclipse para desarrolladores móviles es un punto de partida impresionante para los desarrolladores que buscan centrarse en el desarrollo de Android. Lo he usado para varios proyectos desde agosto y no me ha decepcionado.

** Junio ​​2012 **

Google recomienda Eclipse Helios, Eclipse Classic o Eclipse RCP . Para más detalles, lea el siguiente post.

URL: http://developer.android.com/sdk/eclipse-adt.html

Mira bajo ADT 18.0.0 (abril de 2012) .

Eclipse Helios (versión 3.6.2) o superior se requiere para ADT 18.0.0.

Consulte Instalación del complemento ADT .

Si necesita instalar o actualizar Eclipse, puede descargarlo desde http://www.eclipse.org/downloads/ . Se recomienda la versión " Eclipse Classic ". De lo contrario, se recomienda una versión Java o RCP de Eclipse.

Abril 2014 Actualizado

Se requiere Eclipse Indigo (Versión 3.7.2) o superior. Le sugeriré que use Eclipse Kepler.

ADT 22.6.0 (marzo de 2014)

Eclipse 3.5 para Java Developer es la mejor opción para usted y la versión 3.6 es buena, pero no en absoluto debido a problemas de compatibilidad.

A partir de 10/2011 … clásico está bien para el desarrollo de Android.

Consulte Comparar paquetes de Eclipse para un gráfico agradable.

Si acaba de entrar en Android, estaría bien servido usando Android Studio en lugar de usar cualquier versión de Eclipse. Android Studio fue lanzado en 2013 y ofrece un agradable entorno de desarrollo integrado para el desarrollo de Android.

Android Studio está basado en IntelliJ, que es un gran entorno de desarrollo de Java. También tiene estas características específicas de Android:

  • Soporte de compilación basado en Gradle.
  • Refactorización específica de Android y arreglos rápidos.
  • Lint herramientas para obtener rendimiento, usabilidad, compatibilidad de versiones y otros problemas.
  • ProGuard y capacidades de firma de aplicaciones.
  • Asistentes basados ​​en plantillas para crear diseños y componentes comunes de Android.
  • Un rico editor de diseño que te permite arrastrar y soltar componentes de interfaz de usuario, previsualizar diseños en configuraciones de pantalla múltiple y mucho más.

Puede descargarlo aquí.

El complemento ADT todavía no es compatible con 3.6

He estado usando Eclipse 3.6 con ADT durante los últimos tres meses para desarrollar aplicaciones en Android. No me he enfrentado a ningún problema hasta ahora. Es realmente bueno y funciona bien.

La mejor opción es usar la versión de comunidad libre de Intellij Idea 11+. El complemento de ADT eclipse siempre tiene problemas.

http://code.google.com/p/android/issues/detail?id=26774

Yo recomendaría al menos Eclipse Indigo (v 3.7) para Android Development porque aunque se requiera un mínimo de Helios (v 3.6) para ADT 22.0.1 como se explica aquí …

http://developer.android.com/tools/sdk/eclipse-adt.html

… Indigo es necesario para Android NDK desarrollo utilizando CDT, como se explica aquí:

http://tools.android.com/recent/usingthendkplugin

Puede usar la versión Eclipse Indigo EE para el desarrollo de Android. Es bastante bueno, y no me he enfrentado a ningún problema hasta ahora.

Simplemente porque no está aquí Nvidia tiene un paquete agradable que simplifica conseguirlo poner y funcionar con una ventaja adicional de apoyar la aceleración 3D en los dispositivos compatibles TEGRA capaces.

Usted puede encontrarlo aquí .

Obtenga el Android-SDK completo más las dependencias en http://developer.android.com/sdk/index.html .

Tiene Java instalado 🙂

  • Cordova ant jar no disponible
  • Estoy recibiendo el mensaje: Desafortunadamente "algunos chinos" ha parado
  • No se pudo encontrar el método com.google.android.gms.common.GooglePlayServicesUtil
  • Proyecto de importación sin archivo .project
  • Incorporar detalles de la versión en android APK
  • Java equivalente de #ifdef que permite código no compilable
  • Eclipse / Android: "Errores ejecutando compilador 'Android Pre Compiler' en proyecto ..."
  • Integrar MuPDF como un proyecto de biblioteca (Android)
  • No se pudo encontrar adb.exe - después de actualizar a Android SDK 2.3
  • ¿Cómo puedo importar ShowcaseView en Eclipse?
  • Eclipse no reconocerá mi teléfono Android -> No se puede depurar
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.